- [HTTP request](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings.delegates/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings.delegates/list#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings.delegates/list#body.request_body)
- [Response body](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings.delegates/list#body.response_body)
  - [JSON representation](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings.delegates/list#body.ListDelegatesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings.delegates/list#body.aspect)

Lists the delegates for the specified account. For more information, see [Manage delegates](https://developers.google.com/workspace/gmail/api/guides/delegate_settings).

This method is only available to service account clients that have been delegated domain-wide authority.

### HTTP request

`GET https://gmail.googleapis.com/gmail/v1/users/{userId}/settings/delegates`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `userId` | `string` User's email address. The special value "me" can be used to indicate the authenticated user. |

### Request body

The request body must be empty.

### Response body

Response for the delegates.list method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "delegates": [ { object (`https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings.delegates#Delegate`) } ] } ``` |

| Fields ||
|---|---|
| `delegates[]` | ``object (`https://developers.google.com/workspace/gmail/api/reference/rest/v1/users.settings.delegates#Delegate`)`` List of the user's delegates (with any verification status). If an account doesn't have delegates, this field doesn't appear. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/gmail.settings.basic`
- `
  https://mail.google.com/`
- `
  https://www.googleapis.com/auth/gmail.modify`
- `
  https://www.googleapis.com/auth/gmail.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).